<h1><%- title %></h1>
<div class="row">
    <h6 class="text-muted">Lista de peliculas en mongo</h6> 
    <nav aria-label="Page navigation example">
      <ul class="pagination">
        <li class="page-item"><a class="page-link" href=<%= prevPage %> >Previous</a></li>
        <% for(i = 1; i < totalPages+1; i++) { %>
        <li class="page-item"><a class="page-link" href=<%= i %>><%= i %></a></li>
        <% } %>
        <li class="page-item"><a class="page-link" href=<%= nextPage %> >Next</a></li>
      </ul>
    </nav>
    <ul class="list-group">
      <% mongoMovies.forEach(movie => { %>
      <li class="list-group-item d-flex justify-content-between align-items-center">
        <div class="col-sm-2">
          <div class="row">
            <h3> <%= movie.title %> </h3>
          </div>
          <div class="row">
            <h6>Rating <%= movie.ratings[0].Value %></h6>
          </div>
          <div>
            <form action="/replace" method="POST">
              <input type="text" id="find" name="find" class="form-control mb-1" placeholder="find to replace">
              <input type="text" id="replace" name="replace" class="form-control mb-1" placeholder="word to replace">
              <input type="hidden" id="imdbID" name="imdbID" value=<%= movie.imdbid %>>
              <button type="submit" class="btn btn-primary">Replace</button>
            </form>
          </div>
        </div>
        <div class="col mx-3">
          <div class="row">
            <div class="col">
              <p class="">Released at: <%= movie.released %>  </p>
            </div>
            <div class="col">
              <p class="">Genre: <%= movie.genre %>  </p>
            </div>
            <div class="col">
              <p class="">actors: <%= movie.actors %>  </p>
            </div>
          </div>
          <div class="row">
            <p class=""> <%= movie.plot %>  </p>
          </div>
        </div>
        
        <div class="image-parent">
            <img src=<%= movie.poster %> class="img-fluid" style="width: 150px; height: 180px;" alt="quixote">
        </div>
      </li>
      <% }); %>
    </ul>
</div>
